Bug 596479 (CVE-2010-1758)

Summary: CVE-2010-1758 WebKit: use-after-free vulnerability in handling of DOM Range objects
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: jgrulich, jlieskov, jreznik, security-response-team, stransky, than
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-05 08:17:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 806808    

Description Vincent Danen 2010-05-26 19:40:38 UTC
A use after free issue exists in WebKit's handling of DOM Range objects. Visiting a maliciously crafted website may lead to an unexpected application termination or arbitrary code execution. This issue is addressed through improved handling of DOM Range objects.

References:

Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=28697
Trac: http://trac.webkit.org/changeset/59098

Acknowledgements:

Red Hat would like to thank Drew Yao of Apple Product Security for responsibly reporting this issue. Upstream acknowledges Yaar Schnitman of Google Inc. as the original reporter.

Comment 4 Jan Lieskovsky 2010-06-08 16:50:28 UTC
Public via:
  [1] http://support.apple.com/kb/HT419